import dynamix_sdk.base as _base


class CloudapiComputeCloneResultStr(_base.BaseAPIResultStr):
    pass


class CloudapiComputeCloneProtocol(_base.BasePostAPIFunctionProtocol):
    def clone(
        self,
        *,
        vm_id: int,
        name: str,
        force: bool = False,
        storage_policy_id: int,
        snapshot_timestamp: int | None = None,
        snapshot_name: str | None = None,
        sep_pool_name: str | None = None,
        sep_id: int | None = None,
    ) -> CloudapiComputeCloneResultStr:
        ...
